cofold.h File Reference
RNA Secondary Structure Prediction » Calculate Secondary Structures of two RNAs upon Dimerization RNA Secondary Structure Prediction » | Computing Minimum Free Energy (MFE) Structures » MFE Structures of two hybridized Sequences

MFE version of cofolding routines. More...

Include dependency graph for cofold.h:

Go to the source code of this file.

## Functions

float | vrna_cofold (const char *string, char *structure)
| Compute Minimum Free Energy (MFE), and a corresponding secondary structure for two dimerized RNA sequences. More...
float | cofold (const char *sequence, char *structure)
| Compute the minimum free energy of two interacting RNA molecules. More...
float | cofold_par (const char *string, char *structure, vrna_param_t *parameters, int is_constrained)
| Compute the minimum free energy of two interacting RNA molecules. More...
void | free_co_arrays (void)
| Free memory occupied by cofold() More...
void | update_cofold_params (void)
| Recalculate parameters. More...
void | update_cofold_params_par (vrna_param_t *parameters)
| Recalculate parameters. More...
void | export_cofold_arrays_gq (int **f5_p, int **c_p, int **fML_p, int **fM1_p, int **fc_p, int **ggg_p, int **indx_p, char **ptype_p)
| Export the arrays of partition function cofold (with gquadruplex support) More...
void | export_cofold_arrays (int **f5_p, int **c_p, int **fML_p, int **fM1_p, int **fc_p, int **indx_p, char **ptype_p)
| Export the arrays of partition function cofold. More...
void | get_monomere_mfes (float *e1, float *e2)
| get_monomer_free_energies More...
void | initialize_cofold (int length)

## Detailed Description

MFE version of cofolding routines.

This file includes (almost) all function declarations within the RNAlib that are related to MFE Cofolding... This also includes the Zuker suboptimals calculations, since they are implemented using the cofold routines.